# DHG14 (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.kex
Class DHG14

    java.lang.Object
      net.schmizz.sshj.transport.kex.AbstractDHG
          net.schmizz.sshj.transport.kex.DHG14

All Implemented Interfaces:
  KeyExchange

    public class DHG14

extends AbstractDHG

Diffie-Hellman key exchange with SHA-1 and Oakley Group 14 [RFC3526] (2048-bit MODP Group).

DHG14 does not work with the default JCE implementation provided by Sun because it does not support 2048 bits encryption. It requires BouncyCastle to be used.

Nested Class Summary
`static class` `DHG14.Factory` Named factory for DHG14 key exchange

Constructor Summary
`DHG14()`

Method Summary
`protected void` `initDH(DH dh)`

Methods inherited from class net.schmizz.sshj.transport.kex.AbstractDHG
`getH, getHash, getHostKey, getK, init, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHG14

    public DHG14()

Method Detail

### initDH

    protected void initDH(DH dh)

  Specified by:
    `initDH` in class `AbstractDHG`

Copyright © 2009-2011. All Rights Reserved.